Bug 859898 - pdns daemon does not return exit code 0
pdns daemon does not return exit code 0
Product: Fedora
Classification: Fedora
Component: pdns (Show other bugs)
All Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Morten Stevens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-24 07:05 EDT by Morten Stevens
Modified: 2012-10-15 08:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-10-15 08:36:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
PowerDNS Patch to return exit code 0 when stopping (343 bytes, patch)
2012-09-24 07:12 EDT, Morten Stevens
no flags Details | Diff

  None (edit)
Description Morten Stevens 2012-09-24 07:05:58 EDT
Description of problem:

PowerDNS does not return exit code 0 when stopping the daemon.

Version-Release number of selected component (if applicable):


How reproducible:

Install pdns and stop the daemon.

[root@fc18 ~]# systemctl stop pdns.service
[root@fc18 ~]# cat /var/log/messages
Sep 20 19:58:44 fc18 pdns[604]: Scheduling exit on remote request
Sep 20 19:58:44 fc18 pdns_control[965]: Scheduling exit
Sep 20 19:58:44 fc18 pdns[604]: Guardian is killed, taking down children with us
Sep 20 19:58:44 fc18 systemd[1]: pdns.service: main process exited, code=exited, status=1
Sep 20 19:58:44 fc18 systemd[1]: Unit pdns.service entered failed state.

[root@fc18 ~]# systemctl status pdns.service
pdns.service - PDNS DNS Server
          Loaded: loaded (/usr/lib/systemd/system/pdns.service; enabled)
          Active: failed (Result: exit-code) since Thu, 20 Sep 2012 19:58:44 +0200; 2min 32s ago
         Process: 965 ExecStop=/usr/bin/pdns_control quit (code=exited, status=0/SUCCESS)
         Process: 592 ExecStart=/usr/sbin/pdns_server --daemon --guardian=yes (code=exited, status=0/SUCCESS)
        Main PID: 604 (code=exited, status=1/FAILURE)
          CGroup: name=systemd:/system/pdns.service 

Expected results:

exit code 0
Comment 1 Morten Stevens 2012-09-24 07:12:08 EDT
Created attachment 616478 [details]
PowerDNS Patch to return exit code 0 when stopping

After applying this patch, the pdns daemon returns exit code 0 when stopping
Comment 2 Fedora Update System 2012-09-24 14:35:40 EDT
pdns-3.1-3.fc16 has been submitted as an update for Fedora 16.
Comment 3 Fedora Update System 2012-09-24 14:37:28 EDT
pdns-3.1-3.fc17 has been submitted as an update for Fedora 17.
Comment 4 Fedora Update System 2012-09-24 18:09:54 EDT
pdns-3.1-4.fc18 has been submitted as an update for Fedora 18.
Comment 5 Fedora Update System 2012-09-25 00:25:35 EDT
Package pdns-3.1-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdns-3.1-3.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 6 Fedora Admin XMLRPC Client 2012-10-06 10:24:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Morten Stevens 2012-10-15 08:36:14 EDT
Fixed in:


Note You need to log in before you can comment on or make changes to this bug.